<template>
  <div class="home">
    <Layout />
  </div>
</template>

<script lang="ts" setup>
import Layout from "@/components/Layout.vue";
import { onBeforeMount } from "vue";

onBeforeMount(() => {
  const hasUserName = !!localStorage.getItem("userName");
  if (!hasUserName) localStorage.setItem("userName", JSON.stringify("viewer"));

  const hasLanguage = !!localStorage.getItem("language");
  if (!hasLanguage) localStorage.setItem("language", JSON.stringify("en"));

  const hasTheme = !!localStorage.getItem("theme");
  if (!hasTheme) localStorage.setItem("theme", JSON.stringify("light"));
});
</script>
